com.independentsoft.exchange

## Enum MapiPropertyType

- java.lang.Object
- - java.lang.Enum<MapiPropertyType>
  - - com.independentsoft.exchange.MapiPropertyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MapiPropertyType>

      public enum MapiPropertyType
      extends java.lang.Enum<MapiPropertyType>

  Defines the MAPI type of an extended property.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_TIME` The property is of type ApplicationTime.
    `APPLICATION_TIME_ARRAY` The property is of type ApplicationTimeArray.
    `BINARY` The property is of type Binary.
    `BINARY_ARRAY` The property is of type BinaryArray.
    `BOOLEAN` The property is of type Boolean.
    `CLSID` The property is of type CLSID.
    `CLSID_ARRAY` The property is of type CLSIDArray.
    `CURRENCY` The property is of type Currency.
    `CURRENCY_ARRAY` The property is of type CurrencyArray.
    `DOUBLE` The property is of type Double.
    `DOUBLE_ARRAY` The property is of type DoubleArray.
    `ERROR` The property is of type Error.
    `FLOAT` The property is of type Float.
    `FLOAT_ARRAY` The property is of type FloatArray.
    `INTEGER` The property is of type Integer.
    `INTEGER_ARRAY` The property is of type IntegerArray.
    `LONG` The property is of type Long.
    `LONG_ARRAY` The property is of type LongArray.
    `NULL` The property is of type Null.
    `OBJECT` The property is of type Object.
    `OBJECT_ARRAY` The property is of type ObjectArray.
    `SHORT` The property is of type Short.
    `SHORT_ARRAY` The property is of type ShortArray.
    `STRING` The property is of type String.
    `STRING_ARRAY` The property is of type StringArray.
    `SYSTEM_TIME` The property is of type SystemTime.
    `SYSTEM_TIME_ARRAY` The property is of type SystemTimeArray.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapiPropertyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MapiPropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION_TIME

          public static final MapiPropertyType APPLICATION_TIME

      The property is of type ApplicationTime.

    - #### APPLICATION_TIME_ARRAY

          public static final MapiPropertyType APPLICATION_TIME_ARRAY

      The property is of type ApplicationTimeArray.

    - #### BINARY

          public static final MapiPropertyType BINARY

      The property is of type Binary.

    - #### BINARY_ARRAY

          public static final MapiPropertyType BINARY_ARRAY

      The property is of type BinaryArray.

    - #### BOOLEAN

          public static final MapiPropertyType BOOLEAN

      The property is of type Boolean.

    - #### CLSID

          public static final MapiPropertyType CLSID

      The property is of type CLSID.

    - #### CLSID_ARRAY

          public static final MapiPropertyType CLSID_ARRAY

      The property is of type CLSIDArray.

    - #### CURRENCY

          public static final MapiPropertyType CURRENCY

      The property is of type Currency.

    - #### CURRENCY_ARRAY

          public static final MapiPropertyType CURRENCY_ARRAY

      The property is of type CurrencyArray.

    - #### DOUBLE

          public static final MapiPropertyType DOUBLE

      The property is of type Double.

    - #### DOUBLE_ARRAY

          public static final MapiPropertyType DOUBLE_ARRAY

      The property is of type DoubleArray.

    - #### ERROR

          public static final MapiPropertyType ERROR

      The property is of type Error.

    - #### FLOAT

          public static final MapiPropertyType FLOAT

      The property is of type Float.

    - #### FLOAT_ARRAY

          public static final MapiPropertyType FLOAT_ARRAY

      The property is of type FloatArray.

    - #### INTEGER

          public static final MapiPropertyType INTEGER

      The property is of type Integer.

    - #### INTEGER_ARRAY

          public static final MapiPropertyType INTEGER_ARRAY

      The property is of type IntegerArray.

    - #### LONG

          public static final MapiPropertyType LONG

      The property is of type Long.

    - #### LONG_ARRAY

          public static final MapiPropertyType LONG_ARRAY

      The property is of type LongArray.

    - #### NULL

          public static final MapiPropertyType NULL

      The property is of type Null.

    - #### OBJECT

          public static final MapiPropertyType OBJECT

      The property is of type Object.

    - #### OBJECT_ARRAY

          public static final MapiPropertyType OBJECT_ARRAY

      The property is of type ObjectArray.

    - #### SHORT

          public static final MapiPropertyType SHORT

      The property is of type Short.

    - #### SHORT_ARRAY

          public static final MapiPropertyType SHORT_ARRAY

      The property is of type ShortArray.

    - #### SYSTEM_TIME

          public static final MapiPropertyType SYSTEM_TIME

      The property is of type SystemTime.

    - #### SYSTEM_TIME_ARRAY

          public static final MapiPropertyType SYSTEM_TIME_ARRAY

      The property is of type SystemTimeArray.

    - #### STRING

          public static final MapiPropertyType STRING

      The property is of type String.

    - #### STRING_ARRAY

          public static final MapiPropertyType STRING_ARRAY

      The property is of type StringArray.

  - ### Method Detail

    - #### values

          public static MapiPropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapiPropertyType c : MapiPropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapiPropertyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null